package com.mortals.xhx.module.access.model;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.access.model.vo.AccessSystemVo;
import lombok.Data;
/**
* 区域接入系统实体对象
*
* @author zxfei
* @date 2024-07-02
*/
@Data
public class AccessSystemEntity extends AccessSystemVo {
    private static final long serialVersionUID = 1L;

    /**
    * 接入区域ID
    */
    private Long accessId;
    /**
    * 接入系统名称
    */
    private String systemName;
    /**
    * 接入系统编码
    */
    private String systemCode;
    /**
    * 启用状态 (0.停止，1.启用)
    */
    private Integer enabled;
    /**
    * 接入开通时间
    */
    private Date accessTime;
    /**
    * 排序
    */
    private Integer sort;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof AccessSystemEntity) {
            AccessSystemEntity tmp = (AccessSystemEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.accessId = null;
            this.systemName = "";
            this.systemCode = "";
            this.enabled = 0;
            this.accessTime = null;
            this.sort = 0;
            this.remark = "";
    }
}